
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k: Add `volatile' to some bitops parameters, as this is required by the
cpumask code in 2.6.8-rc1.

Signed-off-by: Geert Uytterhoeven <geert@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m68k/bitops.h |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN include/asm-m68k/bitops.h~m68k-bitops include/asm-m68k/bitops.h
--- 25/include/asm-m68k/bitops.h~m68k-bitops	2004-07-26 17:26:15.403513256 -0700
+++ 25-akpm/include/asm-m68k/bitops.h	2004-07-26 17:26:15.411512040 -0700
@@ -52,14 +52,14 @@ static inline int __generic_test_and_set
 
 #define __set_bit(nr,vaddr) set_bit(nr,vaddr)
 
-static inline void __constant_set_bit(int nr, unsigned long *vaddr)
+static inline void __constant_set_bit(int nr, volatile unsigned long *vaddr)
 {
 	char *p = (char *)vaddr + (nr ^ 31) / 8;
 	__asm__ __volatile__ ("bset %1,%0"
 			: "+m" (*p) : "di" (nr & 7));
 }
 
-static inline void __generic_set_bit(int nr, unsigned long *vaddr)
+static inline void __generic_set_bit(int nr, volatile unsigned long *vaddr)
 {
 	__asm__ __volatile__ ("bfset %1{%0:#1}"
 			: : "d" (nr^31), "o" (*vaddr) : "memory");
@@ -106,14 +106,14 @@ static inline int __generic_test_and_cle
    __generic_clear_bit(nr, vaddr))
 #define __clear_bit(nr,vaddr) clear_bit(nr,vaddr)
 
-static inline void __constant_clear_bit(int nr, unsigned long *vaddr)
+static inline void __constant_clear_bit(int nr, volatile unsigned long *vaddr)
 {
 	char *p = (char *)vaddr + (nr ^ 31) / 8;
 	__asm__ __volatile__ ("bclr %1,%0"
 			: "+m" (*p) : "di" (nr & 7));
 }
 
-static inline void __generic_clear_bit(int nr, unsigned long *vaddr)
+static inline void __generic_clear_bit(int nr, volatile unsigned long *vaddr)
 {
 	__asm__ __volatile__ ("bfclr %1{%0:#1}"
 			: : "d" (nr^31), "o" (*vaddr) : "memory");
_
